## OMA enumerations and flags

OMA enumerations and flags

## Functions

const gchar * | qmi_oma_session_type_get_string ()
const gchar * | qmi_oma_session_state_get_string ()
const gchar * | qmi_oma_session_failed_reason_get_string ()
const gchar * | qmi_oma_hfa_feature_done_state_get_string ()

## Types and Values

enum | QmiOmaSessionType
enum | QmiOmaSessionState
enum | QmiOmaSessionFailedReason
enum | QmiOmaHfaFeatureDoneState

## Object Hierarchy

        GEnum
        ├── QmiOmaHfaFeatureDoneState
        ├── QmiOmaSessionFailedReason
        ├── QmiOmaSessionState
        ╰── QmiOmaSessionType

## Description

This section defines enumerations and flags used in the OMA service interface.

## Functions

### qmi_oma_session_type_get_string ()

    const gchar *
    qmi_oma_session_type_get_string (QmiOmaSessionType val);

Gets the nickname string for the QmiOmaSessionType specified at `val` .

#### Parameters

val | a QmiOmaSessionType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

### qmi_oma_session_state_get_string ()

    const gchar *
    qmi_oma_session_state_get_string (QmiOmaSessionState val);

Gets the nickname string for the QmiOmaSessionState specified at `val` .

#### Parameters

val | a QmiOmaSessionState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

### qmi_oma_session_failed_reason_get_string ()

    const gchar *
    qmi_oma_session_failed_reason_get_string
                                   (QmiOmaSessionFailedReason val);

Gets the nickname string for the QmiOmaSessionFailedReason specified at `val` .

#### Parameters

val | a QmiOmaSessionFailedReason. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

### qmi_oma_hfa_feature_done_state_get_string ()

    const gchar *
    qmi_oma_hfa_feature_done_state_get_string
                                   (QmiOmaHfaFeatureDoneState val);

Gets the nickname string for the QmiOmaHfaFeatureDoneState specified at `val` .

#### Parameters

val | a QmiOmaHfaFeatureDoneState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.6

## Types and Values

### enum QmiOmaSessionType

Type of OMA-DM session.

#### Members

QMI_OMA_SESSION_TYPE_CLIENT_INITIATED_DEVICE_CONFIGURE | Client-initiated device configure. |
QMI_OMA_SESSION_TYPE_CLIENT_INITIATED_PRL_UPDATE | Client-initiated PRL update. |
QMI_OMA_SESSION_TYPE_CLIENT_INITIATED_HANDS_FREE_ACTIVATION | Client-initiated hands free activation. |
QMI_OMA_SESSION_TYPE_DEVICE_INITIATED_HANDS_FREE_ACTIVATION | Device-initiated hands free activation. |
QMI_OMA_SESSION_TYPE_NETWORK_INITIATED_PRL_UPDATE | Network-initiated PRL update. |
QMI_OMA_SESSION_TYPE_NETWORK_INITIATED_DEVICE_CONFIGURE | Network-initiated device configure. |
QMI_OMA_SESSION_TYPE_DEVICE_INITIATED_PRL_UPDATE | Device-initiated PRL update. |

Since: 1.6

### enum QmiOmaSessionState

State of the OMA-DM session.

#### Members

QMI_OMA_SESSION_STATE_COMPLETE_INFORMATION_UPDATED | Session complete and information updated. |
QMI_OMA_SESSION_STATE_COMPLETE_UPDATED_INFORMATION_UNAVAILABLE | Session complete but updated information not available. |
QMI_OMA_SESSION_STATE_FAILED | Session failed. |
QMI_OMA_SESSION_STATE_RETRYING | Session retrying. |
QMI_OMA_SESSION_STATE_CONNECTING | Session connecting. |
QMI_OMA_SESSION_STATE_CONNECTED | Session connected. |
QMI_OMA_SESSION_STATE_AUTHENTICATED | Session authenticated. |
QMI_OMA_SESSION_STATE_MDN_DOWNLOADED | MDN downloaded. |
QMI_OMA_SESSION_STATE_MSID_DOWNLOADED | MSID downloaded. |
QMI_OMA_SESSION_STATE_PRL_DOWNLOADED | PRL downloaded. |
QMI_OMA_SESSION_STATE_MIP_PROFILE_DOWNLOADED | MIP profile downloaded. |

Since: 1.6

### enum QmiOmaSessionFailedReason

Session failure reason.

#### Members

QMI_OMA_SESSION_FAILED_REASON_UNKNOWN | Unknown reason. |
QMI_OMA_SESSION_FAILED_REASON_NETWORK_UNAVAILABLE | Network unavailable. |
QMI_OMA_SESSION_FAILED_REASON_SERVER_UNAVAILABLE | Server unavailable. |
QMI_OMA_SESSION_FAILED_REASON_AUTHENTICATION_FAILED | Authentication failed. |
QMI_OMA_SESSION_FAILED_REASON_MAX_RETRY_EXCEEDED | Maximum retries exceeded. |
QMI_OMA_SESSION_FAILED_REASON_SESSION_CANCELLED | Session cancelled. |

Since: 1.6

### enum QmiOmaHfaFeatureDoneState

HFA feature done state.

#### Members

QMI_OMA_HFA_FEATURE_DONE_STATE_NONE | None. |
QMI_OMA_HFA_FEATURE_DONE_STATE_SUCCEEDED | Succeeded. |
QMI_OMA_HFA_FEATURE_DONE_STATE_FAILED | Failed. |

Since: 1.6